/*
  This file is part of quick-memo
  Copyright (C) 2014 Stefano Verzegnassi

    This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License 3 as published by
  the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
  along with this program. If not, see http://www.gnu.org/licenses/.
*/

import QtQuick 2.0
import Ubuntu.Components 1.1

Page {
    id: aboutPage

    title: i18n.tr("About")

    Column {
        anchors.centerIn: parent
        width: root.width > units.gu(50) ? units.gu(50) : parent.width
        spacing: units.gu(4)

        UbuntuShape {
            id: logo
            x: (parent.width - width) / 2
            width: parent.width / 2
            height: width
            radius: "medium"

            image: Image {
                source: "../quick-memo.png"
            }
        }

        Column {
            width: parent.width

            Label {
                x: (parent.width - width) / 2
                fontSize: "x-large"
                font.weight: Font.DemiBold
                text: i18n.tr("Quick Memo")
            }

            Label {
                x: (parent.width - width) / 2
                text: i18n.tr("Version ") + "0.1 - BETA"
            }
        }

        Column {
            width: parent.width

            Label {
                x: (parent.width - width) / 2
                text: "(C) 2014 Stefano Verzegnassi"
            }

            Label {
                x: (parent.width - width) / 2
                fontSize: "small"
                text: i18n.tr("Released under the terms of ") + "GNU GPL v3"
            }
        }

        Label {
            x: (parent.width - width) / 2
            fontSize: "small"
            text: i18n.tr("Source code available on <a href=\"https://launchpad.net/quick-memo\">launchpad.net</a>")
            onLinkActivated: Qt.openUrlExternally(link)
        }
    }
}
