/*
  This file is part of quick-memo
  Copyright (C) 2014 Stefano Verzegnassi

    This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License 3 as published by
  the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
  along with this program. If not, see http://www.gnu.org/licenses/.
*/

import QtQuick 2.0
import Ubuntu.Components 1.1
import Ubuntu.Components.Themes.Ambiance 0.1

TextArea {
    id: rootItem
    width: parent.width

    autoSize: true
    maximumLineCount: 0

    opacity: 1.0

    style: TextAreaStyle {
        frameSpacing: 0
        background: Item {
            id: bgItem
            anchors.fill: parent

            /*InverseMouseArea {
                anchors.fill: parent
                onClicked: rootItem.focus = false
            }*/

            Loader {
                anchors.fill: parent
                sourceComponent: if (rootItem.highlighted) return bg
            }

            Component {
                id: bg

                Repeater {
                    model: rootItem.lineCount
                    delegate: Rectangle {
                        width: bgItem.width
                        height: units.gu(0.1)
                        y: (model.index + 1) * ((rootItem.height / rootItem.lineCount) - height)
                        color: Theme.palette.selected.backgroundText
                    }
                }
            }
        }
    }
}
